Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.mif
Class MIFElement

    java.lang.Object
      org.apache.fop.render.mif.MIFElement

Direct Known Subclasses:
  MIFFile, RefElement

    public class MIFElement

extends java.lang.Object

The is the basis for MIF document elements. This enables the creation of the element and to write it to an output stream including sub-elements or a single value.

Field Summary
`protected boolean` | `finish` true if finishing
`protected boolean` | `finished` true if finished
`protected java.lang.String` | `name` name
`protected boolean` | `started` true if started
`protected java.util.List` | `valueElements` value elements
`protected java.lang.String` | `valueStr` value string

Constructor Summary
`MIFElement(java.lang.String name)`

Method Summary
`void` | `addElement(MIFElement el)`
`void` | `finish(boolean deep)`
`boolean` | `output(java.io.OutputStream os, int indent)` Output this element to an output stream.
`void` | `setValue(java.lang.String str)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

  name

### valueStr

    protected java.lang.String valueStr

  value string

### valueElements

    protected java.util.List valueElements

  value elements

### started

    protected boolean started

  true if started

### finish

    protected boolean finish

  true if finishing

### finished

    protected boolean finished

  true if finished

Constructor Detail

### MIFElement

    public MIFElement(java.lang.String name)

Parameters:
  `name` - a name

Method Detail

### setValue

    public void setValue(java.lang.String str)

  Parameters:
    `str` - a string value

### addElement

    public void addElement(MIFElement el)

  Parameters:
    `el` - an MIF element

### output

    public boolean output(java.io.OutputStream os,
                          int indent)
                   throws java.io.IOException

  Output this element to an output stream. This will output only so far as the fisrt unfinished child element. This method can be called again to continue from the previous point. An element that contains child elements will only be finished when the finish method is called.

  Parameters:
    `os` - output stream
    `indent` - indentation
  Returns:
    true if finished
  Throws:
    `java.io.IOException` - if not caught

### finish

    public void finish(boolean deep)

  Parameters:
    `deep` - if true, also perform finish over value elements

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.